diff --git a/src/providers/krb5/krb5_child.c b/src/providers/krb5/krb5_child.c
index 16ab4db..8b56dea 100644
--- a/src/providers/krb5/krb5_child.c
+++ b/src/providers/krb5/krb5_child.c
@@ -1601,30 +1601,30 @@ static krb5_error_code check_fast_ccache(TALLOC_CTX *mem_ctx,
     }
     if (kerr) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to read keytab file [%s]: %s\n",
+              "Failed to read keytab file [%s]: %s\n",
                KEYTAB_CLEAN_NAME,
-               sss_krb5_get_error_message(ctx, kerr)));
+               sss_krb5_get_error_message(ctx, kerr));
         goto done;
     }
 
     kerr = find_principal_in_keytab(ctx, keytab, primary, realm, &client_princ);
     if (kerr != 0) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("find_principal_in_keytab failed for principal %s@%s.\n",
-               primary, realm));
+              "find_principal_in_keytab failed for principal %s@%s.\n",
+               primary, realm);
         goto done;
     }
 
     server_name = talloc_asprintf(tmp_ctx, "krbtgt/%s@%s", realm, realm);
     if (server_name == NULL) {
-        DEBUG(1, ("talloc_asprintf failed.\n"));
+        DEBUG(1, "talloc_asprintf failed.\n");
         kerr = ENOMEM;
         goto done;
     }
 
     kerr = krb5_parse_name(ctx, server_name, &server_princ);
     if (kerr != 0) {
-        DEBUG(1, ("krb5_parse_name failed.\n"));
+        DEBUG(1, "krb5_parse_name failed.\n");
         goto done;
     }
 
@@ -1632,14 +1632,14 @@ static krb5_error_code check_fast_ccache(TALLOC_CTX *mem_ctx,
     kerr = get_tgt_times(ctx, ccname, server_princ, client_princ, &tgtt);
     if (kerr == 0) {
         if (tgtt.endtime > time(NULL)) {
-            DEBUG(5, ("FAST TGT is still valid.\n"));
+            DEBUG(5, "FAST TGT is still valid.\n");
             goto done;
         }
     }
 
     kerr = get_and_save_tgt_with_keytab(ctx, client_princ, keytab, ccname);
     if (kerr != 0) {
-        DEBUG(1, ("get_and_save_tgt_with_keytab failed.\n"));
+        DEBUG(1, "get_and_save_tgt_with_keytab failed.\n");
         goto done;
     }
 
@@ -1676,13 +1676,13 @@ static errno_t k5c_recv_data(struct krb5_req *kr, int fd, uint32_t *offline)
     if (len == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("read failed [%d][%s].\n", ret, strerror(ret)));
+              "read failed [%d][%s].\n", ret, strerror(ret));
         return ret;
     }
 
     ret = unpack_buffer(buf, len, kr, offline);
     if (ret != EOK) {
-        DEBUG(1, ("unpack_buffer failed.\n"));
+        DEBUG(1, "unpack_buffer failed.\n");
     }
 
     return ret;
@@ -1697,35 +1697,35 @@ static int k5c_setup_fast(struct krb5_req *kr, char *lifetime_str, bool demand)
     krb5_error_code kerr;
     char *tmp_str;
 
-    DEBUG(SSSDBG_CONF_SETTINGS, ("%s is set to [%s]\n",
-                                 SSSD_KRB5_LIFETIME, lifetime_str));
+    DEBUG(SSSDBG_CONF_SETTINGS, "%s is set to [%s]\n",
+                                 SSSD_KRB5_LIFETIME, lifetime_str);
 
     tmp_str = getenv(SSSD_KRB5_FAST_PRINCIPAL);
     if (tmp_str) {
-        DEBUG(SSSDBG_CONF_SETTINGS, ("%s is set to [%s]\n",
-                                     SSSD_KRB5_FAST_PRINCIPAL, tmp_str));
+        DEBUG(SSSDBG_CONF_SETTINGS, "%s is set to [%s]\n",
+                                     SSSD_KRB5_FAST_PRINCIPAL, tmp_str);
         kerr = krb5_parse_name(kr->ctx, tmp_str, &fast_princ_struct);
         if (kerr) {
-            DEBUG(1, ("krb5_parse_name failed.\n"));
+            DEBUG(1, "krb5_parse_name failed.\n");
             return kerr;
         }
         kerr = sss_krb5_unparse_name_flags(kr->ctx, fast_princ_struct,
                                        KRB5_PRINCIPAL_UNPARSE_NO_REALM,
                                        &tmp_str);
         if (kerr) {
-            DEBUG(1, ("sss_krb5_unparse_name_flags failed.\n"));
+            DEBUG(1, "sss_krb5_unparse_name_flags failed.\n");
             return kerr;
         }
         fast_principal = talloc_strdup(kr, tmp_str);
         if (!fast_principal) {
-            DEBUG(1, ("talloc_strdup failed.\n"));
+            DEBUG(1, "talloc_strdup failed.\n");
             return KRB5KRB_ERR_GENERIC;
         }
         free(tmp_str);
         realm_data = krb5_princ_realm(kr->ctx, fast_princ_struct);
         fast_principal_realm = talloc_asprintf(kr, "%.*s", realm_data->length, realm_data->data);
         if (!fast_principal_realm) {
-            DEBUG(1, ("talloc_asprintf failed.\n"));
+            DEBUG(1, "talloc_asprintf failed.\n");
             return ENOMEM;
         }
     } else {
@@ -1736,7 +1736,7 @@ static int k5c_setup_fast(struct krb5_req *kr, char *lifetime_str, bool demand)
     kerr = check_fast_ccache(kr, kr->ctx, fast_principal, fast_principal_realm,
                              kr->keytab, &kr->fast_ccname);
     if (kerr != 0) {
-        DEBUG(1, ("check_fast_ccache failed.\n"));
+        DEBUG(1, "check_fast_ccache failed.\n");
         KRB5_CHILD_DEBUG(SSSDBG_CRIT_FAILURE, kerr);
         return kerr;
     }
@@ -1745,8 +1745,8 @@ static int k5c_setup_fast(struct krb5_req *kr, char *lifetime_str, bool demand)
                                                             kr->options,
                                                             kr->fast_ccname);
     if (kerr != 0) {
-        DEBUG(1, ("sss_krb5_get_init_creds_opt_set_fast_ccache_name "
-                  "failed.\n"));
+        DEBUG(1, "sss_krb5_get_init_creds_opt_set_fast_ccache_name "
+                  "failed.\n");
         KRB5_CHILD_DEBUG(SSSDBG_CRIT_FAILURE, kerr);
         return kerr;
     }
@@ -1756,8 +1756,8 @@ static int k5c_setup_fast(struct krb5_req *kr, char *lifetime_str, bool demand)
                                                 kr->options,
                                                 SSS_KRB5_FAST_REQUIRED);
         if (kerr != 0) {
-            DEBUG(1, ("sss_krb5_get_init_creds_opt_set_fast_flags "
-                      "failed.\n"));
+            DEBUG(1, "sss_krb5_get_init_creds_opt_set_fast_flags "
+                      "failed.\n");
             KRB5_CHILD_DEBUG(SSSDBG_CRIT_FAILURE, kerr);
             return kerr;
         }
@@ -1777,7 +1777,7 @@ static int k5c_setup(struct krb5_req *kr, uint32_t offline)
     kr->realm = getenv(SSSD_KRB5_REALM);
     if (kr->realm == NULL) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Cannot read [%s] from environment.\n", SSSD_KRB5_REALM));
+              "Cannot read [%s] from environment.\n", SSSD_KRB5_REALM);
     }
 
     kerr = krb5_init_context(&kr->ctx);
@@ -1805,7 +1805,7 @@ static int k5c_setup(struct krb5_req *kr, uint32_t offline)
     if (kr->use_enterprise_princ) {
         kerr = krb5_set_default_realm(kr->ctx, kr->realm);
         if (kerr != 0) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("krb5_set_default_realm failed.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "krb5_set_default_realm failed.\n");
         }
     }
 
@@ -1824,7 +1824,7 @@ static int k5c_setup(struct krb5_req *kr, uint32_t offline)
 
     kr->creds = calloc(1, sizeof(krb5_creds));
     if (kr->creds == NULL) {
-        DEBUG(1, ("talloc_zero failed.\n"));
+        DEBUG(1, "talloc_zero failed.\n");
         return ENOMEM;
     }
 
@@ -1852,35 +1852,35 @@ static int k5c_setup(struct krb5_req *kr, uint32_t offline)
 
     lifetime_str = getenv(SSSD_KRB5_RENEWABLE_LIFETIME);
     if (lifetime_str == NULL) {
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Cannot read [%s] from environment.\n",
-              SSSD_KRB5_RENEWABLE_LIFETIME));
+        DEBUG(SSSDBG_CONF_SETTINGS, "Cannot read [%s] from environment.\n",
+              SSSD_KRB5_RENEWABLE_LIFETIME);
     } else {
         kerr = krb5_string_to_deltat(lifetime_str, &lifetime);
         if (kerr != 0) {
-            DEBUG(1, ("krb5_string_to_deltat failed for [%s].\n",
-                      lifetime_str));
+            DEBUG(1, "krb5_string_to_deltat failed for [%s].\n",
+                      lifetime_str);
             KRB5_CHILD_DEBUG(SSSDBG_CRIT_FAILURE, kerr);
             return kerr;
         }
-        DEBUG(SSSDBG_CONF_SETTINGS, ("%s is set to [%s]\n",
-              SSSD_KRB5_RENEWABLE_LIFETIME, lifetime_str));
+        DEBUG(SSSDBG_CONF_SETTINGS, "%s is set to [%s]\n",
+              SSSD_KRB5_RENEWABLE_LIFETIME, lifetime_str);
         krb5_get_init_creds_opt_set_renew_life(kr->options, lifetime);
     }
 
     lifetime_str = getenv(SSSD_KRB5_LIFETIME);
     if (lifetime_str == NULL) {
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Cannot read [%s] from environment.\n",
-              SSSD_KRB5_LIFETIME));
+        DEBUG(SSSDBG_CONF_SETTINGS, "Cannot read [%s] from environment.\n",
+              SSSD_KRB5_LIFETIME);
     } else {
         kerr = krb5_string_to_deltat(lifetime_str, &lifetime);
         if (kerr != 0) {
-            DEBUG(1, ("krb5_string_to_deltat failed for [%s].\n",
-                      lifetime_str));
+            DEBUG(1, "krb5_string_to_deltat failed for [%s].\n",
+                      lifetime_str);
             KRB5_CHILD_DEBUG(SSSDBG_CRIT_FAILURE, kerr);
             return kerr;
         }
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("%s is set to [%s]\n", SSSD_KRB5_LIFETIME, lifetime_str));
+              "%s is set to [%s]\n", SSSD_KRB5_LIFETIME, lifetime_str);
         krb5_get_init_creds_opt_set_tkt_life(kr->options, lifetime);
     }
 
@@ -1889,15 +1889,15 @@ static int k5c_setup(struct krb5_req *kr, uint32_t offline)
 
         use_fast_str = getenv(SSSD_KRB5_USE_FAST);
         if (use_fast_str == NULL || strcasecmp(use_fast_str, "never") == 0) {
-            DEBUG(SSSDBG_CONF_SETTINGS, ("Not using FAST.\n"));
+            DEBUG(SSSDBG_CONF_SETTINGS, "Not using FAST.\n");
         } else if (strcasecmp(use_fast_str, "try") == 0) {
             kerr = k5c_setup_fast(kr, lifetime_str, false);
         } else if (strcasecmp(use_fast_str, "demand") == 0) {
             kerr = k5c_setup_fast(kr, lifetime_str, true);
         } else {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Unsupported value [%s] for krb5_use_fast.\n",
-                   use_fast_str));
+                  "Unsupported value [%s] for krb5_use_fast.\n",
+                   use_fast_str);
             return EINVAL;
         }
     }
@@ -1958,13 +1958,13 @@ int main(int argc, const char *argv[])
 
     kr = talloc_zero(NULL, struct krb5_req);
     if (kr == NULL) {
-        DEBUG(1, ("talloc failed.\n"));
+        DEBUG(1, "talloc failed.\n");
         exit(-1);
     }
 
     debug_prg_name = talloc_asprintf(kr, "[sssd[krb5_child[%d]]]", getpid());
     if (!debug_prg_name) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_asprintf failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_asprintf failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -1972,11 +1972,11 @@ int main(int argc, const char *argv[])
     if (debug_fd != -1) {
         ret = set_debug_file_from_fd(debug_fd);
         if (ret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("set_debug_file_from_fd failed.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "set_debug_file_from_fd failed.\n");
         }
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("krb5_child started.\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "krb5_child started.\n");
 
     ret = k5c_recv_data(kr, STDIN_FILENO, &offline);
     if (ret != EOK) {
@@ -1987,7 +1987,7 @@ int main(int argc, const char *argv[])
 
     ret = k5c_setup(kr, offline);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("krb5_child_setup failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "krb5_child_setup failed.\n");
         goto done;
     }
 
@@ -1995,53 +1995,53 @@ int main(int argc, const char *argv[])
     case SSS_PAM_AUTHENTICATE:
         /* If we are offline, we need to create an empty ccache file */
         if (offline) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Will perform offline auth\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Will perform offline auth\n");
             ret = create_empty_ccache(kr);
         } else {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Will perform online auth\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Will perform online auth\n");
             ret = tgt_req_child(kr);
         }
         break;
     case SSS_PAM_CHAUTHTOK:
-        DEBUG(SSSDBG_TRACE_FUNC, ("Will perform password change\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Will perform password change\n");
         ret = changepw_child(kr, false);
         break;
     case SSS_PAM_CHAUTHTOK_PRELIM:
-        DEBUG(SSSDBG_TRACE_FUNC, ("Will perform password change checks\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Will perform password change checks\n");
         ret = changepw_child(kr, true);
         break;
     case SSS_PAM_ACCT_MGMT:
-        DEBUG(SSSDBG_TRACE_FUNC, ("Will perform account management\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Will perform account management\n");
         ret = kuserok_child(kr);
         break;
     case SSS_CMD_RENEW:
         if (offline) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot renew TGT while offline\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Cannot renew TGT while offline\n");
             ret = KRB5_KDC_UNREACH;
             goto done;
         }
-        DEBUG(SSSDBG_TRACE_FUNC, ("Will perform ticket renewal\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Will perform ticket renewal\n");
         ret = renew_tgt_child(kr);
         break;
     default:
-        DEBUG(1, ("PAM command [%d] not supported.\n", kr->pd->cmd));
+        DEBUG(1, "PAM command [%d] not supported.\n", kr->pd->cmd);
         ret = EINVAL;
         goto done;
     }
 
     ret = k5c_send_data(kr, STDOUT_FILENO, ret);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to send reply\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to send reply\n");
     }
 
 done:
     krb5_cleanup(kr);
     talloc_free(kr);
     if (ret == EOK) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("krb5_child completed successfully\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "krb5_child completed successfully\n");
         exit(0);
     } else {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("krb5_child failed!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "krb5_child failed!\n");
         exit(-1);
     }
 }
diff --git a/src/providers/krb5/krb5_child_handler.c b/src/providers/krb5/krb5_child_handler.c
index 92dec0d..ce9a6f2 100644
--- a/src/providers/krb5/krb5_child_handler.c
+++ b/src/providers/krb5/krb5_child_handler.c
@@ -69,7 +69,7 @@ static int child_io_destructor(void *ptr)
         io->write_to_child_fd = -1;
         if (ret != EOK) {
             ret = errno;
-            DEBUG(1, ("close failed [%d][%s].\n", ret, strerror(ret)));
+            DEBUG(1, "close failed [%d][%s].\n", ret, strerror(ret));
         }
     }
 
@@ -78,7 +78,7 @@ static int child_io_destructor(void *ptr)
         io->read_from_child_fd = -1;
         if (ret != EOK) {
             ret = errno;
-            DEBUG(1, ("close failed [%d][%s].\n", ret, strerror(ret)));
+            DEBUG(1, "close failed [%d][%s].\n", ret, strerror(ret));
         }
     }
 
@@ -136,7 +136,7 @@ static errno_t create_send_buffer(struct krb5child_req *kr,
 
     keytab = dp_opt_get_cstring(kr->krb5_ctx->opts, KRB5_KEYTAB);
     if (keytab == NULL) {
-        DEBUG(1, ("Missing keytab option.\n"));
+        DEBUG(1, "Missing keytab option.\n");
         return EINVAL;
     }
 
@@ -164,7 +164,7 @@ static errno_t create_send_buffer(struct krb5child_req *kr,
 
     buf = talloc(kr, struct io_buffer);
     if (buf == NULL) {
-        DEBUG(1, ("talloc failed.\n"));
+        DEBUG(1, "talloc failed.\n");
         return ENOMEM;
     }
 
@@ -190,7 +190,7 @@ static errno_t create_send_buffer(struct krb5child_req *kr,
 
     buf->data = talloc_size(kr, buf->size);
     if (buf->data == NULL) {
-        DEBUG(1, ("talloc_size failed.\n"));
+        DEBUG(1, "talloc_size failed.\n");
         talloc_free(buf);
         return ENOMEM;
     }
@@ -254,11 +254,11 @@ static void krb5_child_timeout(struct tevent_context *ev,
         return;
     }
 
-    DEBUG(9, ("timeout for child [%d] reached.\n", state->child_pid));
+    DEBUG(9, "timeout for child [%d] reached.\n", state->child_pid);
 
     ret = kill(state->child_pid, SIGKILL);
     if (ret == -1) {
-        DEBUG(1, ("kill failed [%d][%s].\n", errno, strerror(errno)));
+        DEBUG(1, "kill failed [%d][%s].\n", errno, strerror(errno));
     }
 
     tevent_req_error(req, ETIMEDOUT);
@@ -277,7 +277,7 @@ static errno_t activate_child_timeout_handler(struct tevent_req *req,
     state->timeout_handler = tevent_add_timer(ev, state, tv,
                                            krb5_child_timeout, req);
     if (state->timeout_handler == NULL) {
-        DEBUG(1, ("tevent_add_timer failed.\n"));
+        DEBUG(1, "tevent_add_timer failed.\n");
         return ENOMEM;
     }
 
@@ -297,13 +297,13 @@ static errno_t fork_child(struct tevent_req *req)
     ret = pipe(pipefd_from_child);
     if (ret == -1) {
         err = errno;
-        DEBUG(1, ("pipe failed [%d][%s].\n", errno, strerror(errno)));
+        DEBUG(1, "pipe failed [%d][%s].\n", errno, strerror(errno));
         return err;
     }
     ret = pipe(pipefd_to_child);
     if (ret == -1) {
         err = errno;
-        DEBUG(1, ("pipe failed [%d][%s].\n", errno, strerror(errno)));
+        DEBUG(1, "pipe failed [%d][%s].\n", errno, strerror(errno));
         return err;
     }
 
@@ -313,7 +313,7 @@ static errno_t fork_child(struct tevent_req *req)
         if (state->kr->run_as_user) {
             ret = become_user(state->kr->uid, state->kr->gid);
             if (ret != EOK) {
-                DEBUG(1, ("become_user failed.\n"));
+                DEBUG(1, "become_user failed.\n");
                 return ret;
             }
         }
@@ -322,8 +322,8 @@ static errno_t fork_child(struct tevent_req *req)
                          pipefd_to_child, pipefd_from_child,
                          KRB5_CHILD, state->kr->krb5_ctx->child_debug_fd);
         if (err != EOK) {
-            DEBUG(1, ("Could not exec KRB5 child: [%d][%s].\n",
-                      err, strerror(err)));
+            DEBUG(1, "Could not exec KRB5 child: [%d][%s].\n",
+                      err, strerror(err));
             return err;
         }
     } else if (pid > 0) { /* parent */
@@ -337,19 +337,19 @@ static errno_t fork_child(struct tevent_req *req)
 
         ret = child_handler_setup(state->ev, pid, NULL, NULL, NULL);
         if (ret != EOK) {
-            DEBUG(1, ("Could not set up child signal handler\n"));
+            DEBUG(1, "Could not set up child signal handler\n");
             return ret;
         }
 
         err = activate_child_timeout_handler(req, state->ev,
                   dp_opt_get_int(state->kr->krb5_ctx->opts, KRB5_AUTH_TIMEOUT));
         if (err != EOK) {
-            DEBUG(1, ("activate_child_timeout_handler failed.\n"));
+            DEBUG(1, "activate_child_timeout_handler failed.\n");
         }
 
     } else { /* error */
         err = errno;
-        DEBUG(1, ("fork failed [%d][%s].\n", errno, strerror(errno)));
+        DEBUG(1, "fork failed [%d][%s].\n", errno, strerror(errno));
         return err;
     }
 
@@ -382,7 +382,7 @@ struct tevent_req *handle_child_send(TALLOC_CTX *mem_ctx,
 
     state->io = talloc(state, struct io);
     if (state->io == NULL) {
-        DEBUG(1, ("talloc failed.\n"));
+        DEBUG(1, "talloc failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -392,13 +392,13 @@ struct tevent_req *handle_child_send(TALLOC_CTX *mem_ctx,
 
     ret = create_send_buffer(kr, &buf);
     if (ret != EOK) {
-        DEBUG(1, ("create_send_buffer failed.\n"));
+        DEBUG(1, "create_send_buffer failed.\n");
         goto fail;
     }
 
     ret = fork_child(req);
     if (ret != EOK) {
-        DEBUG(1, ("fork_child failed.\n"));
+        DEBUG(1, "fork_child failed.\n");
         goto fail;
     }
 
@@ -506,7 +506,7 @@ parse_krb5_child_response(TALLOC_CTX *mem_ctx, uint8_t *buf, ssize_t len,
     bool otp = false;
 
     if ((size_t) len < sizeof(int32_t)) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("message too short.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "message too short.\n");
         return EINVAL;
     }
 
@@ -534,12 +534,12 @@ parse_krb5_child_response(TALLOC_CTX *mem_ctx, uint8_t *buf, ssize_t len,
         SAFEALIGN_COPY_INT32(&msg_type, buf+p, &p);
         SAFEALIGN_COPY_INT32(&msg_len, buf+p, &p);
 
-        DEBUG(SSSDBG_TRACE_LIBS, ("child response [%d][%d][%d].\n",
-              msg_status, msg_type, msg_len));
+        DEBUG(SSSDBG_TRACE_LIBS, "child response [%d][%d][%d].\n",
+              msg_status, msg_type, msg_len);
 
         if ((p + msg_len) > len) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("message format error [%zu] > [%zd].\n",
-                  p+msg_len, len));
+            DEBUG(SSSDBG_CRIT_FAILURE, "message format error [%zu] > [%zd].\n",
+                  p+msg_len, len);
             return EINVAL;
         }
 
@@ -564,8 +564,8 @@ parse_krb5_child_response(TALLOC_CTX *mem_ctx, uint8_t *buf, ssize_t len,
             tgtt.endtime = int64_to_time_t(time_data);
             SAFEALIGN_COPY_INT64(&time_data, buf+p+3*sizeof(int64_t), NULL);
             tgtt.renew_till = int64_to_time_t(time_data);
-            DEBUG(SSSDBG_TRACE_LIBS, ("TGT times are [%ld][%ld][%ld][%ld].\n",
-                  tgtt.authtime, tgtt.starttime, tgtt.endtime, tgtt.renew_till));
+            DEBUG(SSSDBG_TRACE_LIBS, "TGT times are [%ld][%ld][%ld][%ld].\n",
+                  tgtt.authtime, tgtt.starttime, tgtt.endtime, tgtt.renew_till);
         }
 
         if (msg_type == SSS_KRB5_INFO_UPN) {
@@ -594,7 +594,7 @@ parse_krb5_child_response(TALLOC_CTX *mem_ctx, uint8_t *buf, ssize_t len,
             ret = pam_add_response(pd, msg_type, msg_len, &buf[p]);
             if (ret != EOK) {
                 /* This is not a fatal error */
-                DEBUG(SSSDBG_CRIT_FAILURE, ("pam_add_response failed.\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "pam_add_response failed.\n");
             }
         }
 
@@ -602,7 +602,7 @@ parse_krb5_child_response(TALLOC_CTX *mem_ctx, uint8_t *buf, ssize_t len,
 
         if ((p < len) && (p + 2*sizeof(int32_t) >= len)) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("The remainder of the message is too short.\n"));
+                  "The remainder of the message is too short.\n");
             return EINVAL;
         }
     }
@@ -617,7 +617,7 @@ parse_krb5_child_response(TALLOC_CTX *mem_ctx, uint8_t *buf, ssize_t len,
     if (ccname) {
         res->ccname = talloc_strndup(res, ccname, ccname_len);
         if (res->ccname == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strndup failed.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strndup failed.\n");
             talloc_free(res);
             return ENOMEM;
         }
@@ -626,7 +626,7 @@ parse_krb5_child_response(TALLOC_CTX *mem_ctx, uint8_t *buf, ssize_t len,
     if (upn != NULL) {
         res->correct_upn = talloc_strndup(res, upn, upn_len);
         if (res->correct_upn == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strndup failed.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strndup failed.\n");
             talloc_free(res);
             return ENOMEM;
         }
